<%
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* WebSphere Commerce
//*
//* (c) Copyright IBM Corp. 2008
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>
<%--
  *****
  *
  * This JSP page displays the Order Status page with the following elements:
  *  - List of Orders waiting for approval.  For each order on the list, the following is displayed
  *			- Order Number, Last Updated, Purchase Order, Total Price
  *  - List of Orders already processed.  For each order on the list, the following is displayed
  *			- Order Number, Order Date, Purchase Order, Status, Total Price and a Re-Order link
  *  - List of Orders Scheduled.  For each scheduled order, the following is displayed
  * 		- Order Number, Purchase Order, Total Price, Frequency, Start Date and Order Cancel link
  *  - In each list, 'Order Number' is a link to the Order Details page for that order
  *
  *
  * How to use this snippet?
  *	<c:import url="../../../Snippets/Order/Cart/OrderStatusTableDisplay.jsp" >
  *		<c:param name= "showScheduledOrders" value="false"/>
  *		<c:param name= "showOrdersAwaitingApproval" value="false"/>
  *		<c:param name= "showPONumber" value="false"/>
  *	</c:import>
  *
  *****
--%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="flow.tld" prefix="flow" %>
<%@ taglib uri="http://commerce.ibm.com/base" prefix="wcbase" %>
<%@ taglib uri="http://commerce.ibm.com/foundation" prefix="wcf" %>    
<%@ include file="../../../include/JSTLEnvironmentSetup.jspf"%>

<c:if test="${param.showScheduledOrders}">
	<c:set var="showScheduledOrders" value="true" />
</c:if>
<c:if test="${param.showOrdersAwaitingApproval}">
	<c:set var="showOrdersAwaitingApproval" value="true" />
</c:if>
<c:if test="${param.showPONumber}">
	<c:set var="showPONumber" value="true" />
</c:if>
<c:set var="startNumber" value="${WCParam.startNumber}"/>
<c:if test="${empty startNumber}">
	<c:set var="startNumber" value="0" />
</c:if>
<c:set var="pageSize" value='10'/>

<!--content start-->
<c:if test="${showOrdersAwaitingApproval}">
	<%--
	***
	* Start: List of orders awaiting approval
	***
	--%>
	<wcf:getData type="com.ibm.commerce.order.facade.datatypes.OrderType[]" var="orders" varShowVerb = "ShowVerb" 	   expressionBuilder="findByOrderStatus" maxItems='${pageSize}' recordSetStartNumber='${startNumber}' 	   recordSetReferenceId="orderstatus">
	   <wcf:param name="status" value="W" />
	   <wcf:param name="accessProfile" value="IBM_Summary" />
	</wcf:getData>

	
	<tr> 
		
			<c:if test="${ShowVerb.recordSetTotal > pageSize}">
				
						<c:set var="startNumberPrev" value= '${ShowVerb.recordSetStartNumber - pageSize}' />

						<wcf:url var="trackOrderStatusPrevURL" value="AjaxTrackOrderStatus" type="Ajax">
							<wcf:param name="storeId"   value="${WCParam.storeId}"  />
							<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
							<wcf:param name="langId" value="${WCParam.langId}" />
							<wcf:param name="startNumber" value= '${startNumberPrev}' />
						</wcf:url>
						
						<flow:ifEnabled feature="AjaxMyAccountPage">
						<input id="WC_OrderStatusTableDisplay_inputs_1" type="button" value='<fmt:message key="MO_Page_Prev" bundle="${storeText}" />' onclick="javascript:setCurrentId('WC_OrderStatusTableDisplay_inputs_1'); MyAccountDisplay.loadContentFromURL('trackOrderStatus' + '<c:out value='${startNumberPrev}'/>', '<c:out value='${trackOrderStatusPrevURL}' />');"
							<c:choose>
								<c:when test='${ShowVerb.recordSetStartNumber!=0}'>
									class="pn_button"
								</c:when>
								<c:otherwise>
									class="pn_button_disabled"
									disabled="true"
								</c:otherwise>
							</c:choose>
						/>
						</flow:ifEnabled>

						<flow:ifDisabled feature="AjaxMyAccountPage">
						<input id="WC_OrderStatusTableDisplay_inputs_2" type="button" value='<fmt:message key="MO_Page_Prev" bundle="${storeText}" />' href="<c:out value='${trackOrderStatusPrevURL}' />"
							<c:choose>
								<c:when test='${ShowVerb.recordSetStartNumber!=0}'>
									class="pn_button"
								</c:when>
								<c:otherwise>
									class="pn_button_disabled"
									disabled="true"
								</c:otherwise>
							</c:choose>
						/>
						</flow:ifDisabled>
					
					
				
						<fmt:message key="MO_Page_Results" bundle="${storeText}">
							<fmt:param value="${ShowVerb.recordSetStartNumber+1}"/>
							<fmt:param value="${ShowVerb.recordSetStartNumber + ShowVerb.recordSetCount}"/>
							<fmt:param value="${ShowVerb.recordSetTotal}"/>
						</fmt:message>
					
						<c:set var="startNumberNext" value= '${ShowVerb.recordSetStartNumber + ShowVerb.recordSetCount}' />
					
						<wcf:url var="trackOrderStatusNextURL" value="AjaxTrackOrderStatus" type="Ajax">
							<wcf:param name="storeId"   value="${WCParam.storeId}"  />
							<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
							<wcf:param name="langId" value="${WCParam.langId}" />
							<wcf:param name="startNumber" value= '${startNumberNext}' />
						</wcf:url>
						
						
						<flow:ifEnabled feature="AjaxMyAccountPage">

						<input id="WC_OrderStatusTableDisplay_inputs_3" type="button" value='<fmt:message key="MO_Page_Next" bundle="${storeText}" />' onclick="javascript:setCurrentId('WC_OrderStatusTableDisplay_inputs_3'); MyAccountDisplay.loadContentFromURL('trackOrderStatus1' + '<c:out value='${startNumberNext}'/>', '<c:out value='${trackOrderStatusNextURL}' />');"
							<c:choose>
								<c:when test='${!ShowVerb.recordSetCompleteIndicator}'>
									class="pn_button"
								</c:when>
								<c:otherwise>
									class="pn_button_disabled"
									disabled="true"
								</c:otherwise>
							</c:choose>
						/>
						</flow:ifEnabled>
						
						<flow:ifDisabled feature="AjaxMyAccountPage">

						<input id="WC_OrderStatusTableDisplay_inputs_4" type="button" value='<fmt:message key="MO_Page_Next" bundle="${storeText}" />' href="<c:out value='${trackOrderStatusNextURL}' />"
							<c:choose>
								<c:when test='${!ShowVerb.recordSetCompleteIndicator}'>
									class="pn_button"
								</c:when>
								<c:otherwise>
									class="pn_button_disabled"
									disabled="true"
								</c:otherwise>
							</c:choose>
						/>
						</flow:ifDisabled>
						
					
			</c:if>
	</tr>

	<tr>
		<th class="align_left" id="WC_OrderStatusDisplay_TableCell_6"><fmt:message key="MO_ORDERNUMBER" bundle="${storeText}"/></th>
		<th class="align_left" id="WC_OrderStatusDisplay_TableCell_8"><fmt:message key="MO_ORDERDATE" bundle="${storeText}"/></th>
		<c:if test="${showPONumber}">
			<th class="align_left" id="WC_OrderStatusDisplay_TableCell_10"><fmt:message key="MO_PURCHASEORDER" bundle="${storeText}" /></th>
		</c:if>
		<th class="align_left" id="WC_OrderStatusDisplay_TableCell_12"><fmt:message key="MO_TOTALPRICE" bundle="${storeText}"/></th>
		<th class="align_right" id="WC_OrderStatusDisplay_TableCell_31"></th>
	</tr>

	
	<c:forEach var="order" items="${orders}" varStatus="status">	
		<%-- Need to reset currencyFormatterDB as initialized in JSTLEnvironmentSetup.jspf, as the currency code used there is from commandContext. For order history we want to display with currency used when the order was placed. --%>
		<c:remove var="currencyFormatterDB"/>
		<wcbase:useBean id="currencyFormatterDB" classname="com.ibm.commerce.common.beans.CurrencyFormatDescriptionDataBean" scope="request" >
			<c:set property="dataBeanKeyNumberUsgId" value="-1" target="${currencyFormatterDB}" />
			<c:set property="dataBeanKeyCurrencyCode" value="${order.orderAmount.grandTotal.currency}" target="${currencyFormatterDB}" />
			<c:set property="dataBeanKeyStoreEntityId" value="-1" target="${currencyFormatterDB}" />
			<c:set property="dataBeanKeyLanguageId" value="${langId}" target="${currencyFormatterDB}" />
		</wcbase:useBean>	
		<c:choose>
			<c:when test="${order.orderAmount.grandTotal.currency == 'JPY' || order.orderAmount.grandTotal.currency == 'KRW'}">
				<c:set var="currencyDecimal" value="0"/>
			</c:when>
			<c:otherwise>
				<c:set var="currencyDecimal" value="2"/>
			</c:otherwise>
		</c:choose>
		<c:if test="${order.orderAmount.grandTotal.currency == 'KRW'}">
			<c:set property="currencySymbol" value="&#8361;" target="${currencyFormatterDB}"/>
		</c:if>
		<tr>
			<flow:ifEnabled feature="AjaxMyAccountPage">
			<wcf:url value="AjaxOrderDetail" var="OrderDetailUrl1" type="Ajax">
				<wcf:param name="orderId" value="${order.orderIdentifier.uniqueID}"/>
				<wcf:param name="orderStatusCode" value="${order.orderStatus.status}"/>
				<wcf:param name="storeId" value="${WCParam.storeId}"/>
				<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
				<wcf:param name="langId" value="${WCParam.langId}"/>
			</wcf:url>
			</flow:ifEnabled>
			<flow:ifDisabled feature="AjaxMyAccountPage">
			<wcf:url value="NonAjaxOrderDetail" var="OrderDetailUrl1">
				<wcf:param name="orderId" value="${order.orderIdentifier.uniqueID}"/>
				<wcf:param name="orderStatusCode" value="${order.orderStatus.status}"/>
				<wcf:param name="storeId" value="${WCParam.storeId}"/>
				<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
				<wcf:param name="langId" value="${WCParam.langId}"/>
			</wcf:url>
			</flow:ifDisabled>
				<td id="WC_OrderStatusDisplay_TableCell_32_<c:out value='${status.count}'/>">
					<p><c:out value="${order.orderIdentifier.uniqueID}"/></p>
					<p>
					<flow:ifDisabled feature="AjaxMyAccountPage">
						<a href="<c:out value='${OrderDetailUrl1}'/>" class="order_content" id="WC_OrderStatusDisplay_Link_2a_<c:out value='${status.count}'/>"><fmt:message key="DETAILS" bundle="${storeText}"/></a>
					</flow:ifDisabled>
					<flow:ifEnabled feature="AjaxMyAccountPage">
						<a href="javaScript:setCurrentId('WC_OrderStatusDisplay_Link_2_<c:out value='${status.count}'/>'); MyAccountDisplay.loadContentFromURL('orderdetails', '<c:out value='${OrderDetailUrl1}'/>');" id="WC_OrderStatusDisplay_Link_2_<c:out value='${status.count}'/>" class="order_content" ><fmt:message key="DETAILS" bundle="${storeText}"/></a>
					</flow:ifEnabled>
					</p>
				</td>
				<td id="WC_OrderStatusDisplay_TableCell_33_<c:out value='${status.count}'/>">
						<c:catch>
							<fmt:parseDate var="expectedDate" value="${order.placedDate}" pattern="yyyy-MM-dd'T'HH:mm:ss.SSS'Z'" timeZone="GMT"/>
						</c:catch>
						<c:if test="${empty expectedDate}">
							<c:catch>
								<fmt:parseDate var="expectedDate" value="${order.placedDate}" pattern="yyyy-MM-dd'T'HH:mm:ss'Z'" timeZone="GMT"/>
							</c:catch>
						</c:if>
						<p><fmt:formatDate value="${expectedDate}" dateStyle="long"/></p>
				</td>
				<c:if test="${showPONumber}">
				<td id="WC_OrderStatusDisplay_TableCell_34_<c:out value='${status.count}'/>">
					<p><c:out value="${order.buyerPONumber}"/></p>
				</td>
				</c:if>
				<td id="WC_OrderStatusDisplay_TableCell_35_<c:out value='${status.count}'/>">
					<p><fmt:message key="MO_OrderStatus_${order.orderStatus.status}" bundle="${storeText}"/></p>
				</td>
				<td class="align_right" id="WC_OrderStatusDisplay_TableCell_36_<c:out value='${status.count}'/>">
					<p><fmt:formatNumber value="${order.orderAmount.grandTotal.value}" type="currency" maxFractionDigits="${currencyDecimal}" currencySymbol="${currencyFormatterDB.currencySymbol}"/></p>
				</td>
		</tr>
	</c:forEach>

	<c:if test="${ShowVerb.recordSetTotal == 0}">
		<tr>
		  <fmt:message key="MO_NOORDERSFOUND" bundle="${storeText}"/>
		</tr>
	</c:if>
</c:if>

<!---second table--->
			<%--
			***
			* Start: List of orders already processed
			***
			--%>

				<wcf:getData type="com.ibm.commerce.order.facade.datatypes.OrderType[]" var="orders" varShowVerb = "ShowVerb"	expressionBuilder="findByOrderStatus" maxItems='${pageSize}' recordSetStartNumber='${startNumber}' 					   recordSetReferenceId="orderstatus">
					<wcf:param name="status" value="N,M,A,B,C,R,S,D,F,G" />
					<wcf:param name="accessProfile" value="IBM_Summary" />
				</wcf:getData>

				<c:if test="${param.allOrders}">
				<tr>
						
							<%--
								***
								* Start: Previous Next buttons
								***
							--%>
							<c:if test="${ShowVerb.recordSetTotal > pageSize}">
								
										<c:set var="startNumberPrev" value= '${ShowVerb.recordSetStartNumber - pageSize}' />

										<wcf:url var="trackOrderStatusPrevURL" value="AjaxTrackOrderStatus" type="Ajax">
											<wcf:param name="storeId"   value="${WCParam.storeId}"  />
											<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
											<wcf:param name="langId" value="${WCParam.langId}" />
											<wcf:param name="startNumber" value= '${startNumberPrev}' />
										</wcf:url>
										<wcf:url var="nonAjaxTrackOrderStatusPrevURL" value="NonAjaxTrackOrderStatus">
											<wcf:param name="storeId"   value="${WCParam.storeId}"  />
											<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
											<wcf:param name="langId" value="${WCParam.langId}" />
											<wcf:param name="startNumber" value= '${startNumberPrev}' />
										</wcf:url>

										<p class="align_left">
										<flow:ifEnabled feature="AjaxMyAccountPage">

										<a 
											id="WC_OrderStatusTableDisplay_links_2"
											<c:choose>
												<c:when test='${ShowVerb.recordSetStartNumber!=0}'>
												
													href="javascript:setCurrentId('WC_OrderStatusTableDisplay_links_2'); MyAccountDisplay.loadContentFromURL('trackOrderStatus' + '<c:out value='${startNumberPrev}'/>', '<c:out value='${trackOrderStatusPrevURL}' />');"
													class="pn_button"

												</c:when>
												<c:otherwise>
													class="pn_button_disabled"
												</c:otherwise>
											</c:choose>
										
										>
											<fmt:message key="MO_Page_Prev" bundle="${storeText}" />
										</a>
										</flow:ifEnabled>
										<flow:ifDisabled feature="AjaxMyAccountPage">

										<a 
											id="WC_OrderStatusTableDisplay_links_3"
											<c:choose>
												<c:when test='${ShowVerb.recordSetStartNumber!=0}'>
												
													href="<c:out value='${nonAjaxTrackOrderStatusPrevURL}' />"
													class="pn_button"

												</c:when>
												<c:otherwise>
													class="pn_button_disabled"
												</c:otherwise>
											</c:choose>
										
										>
											<fmt:message key="MO_Page_Prev" bundle="${storeText}" />
										</a>
										</flow:ifDisabled>

									
										<fmt:message key="MO_Page_Results" bundle="${storeText}">
											<fmt:param value="${ShowVerb.recordSetStartNumber+1}"/>
											<fmt:param value="${ShowVerb.recordSetStartNumber + ShowVerb.recordSetCount}"/>
											<fmt:param value="${ShowVerb.recordSetTotal}"/>
										</fmt:message>
									
										<c:set var="startNumberNext" value= '${ShowVerb.recordSetStartNumber + ShowVerb.recordSetCount}' />
									
										<wcf:url var="trackOrderStatusNextURL" value="AjaxTrackOrderStatus" type="Ajax">
											<wcf:param name="storeId"   value="${WCParam.storeId}"  />
											<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
											<wcf:param name="langId" value="${WCParam.langId}" />
											<wcf:param name="startNumber" value= '${startNumberNext}' />
										</wcf:url>
										<wcf:url var="nonAjaxTrackOrderStatusNextURL" value="NonAjaxTrackOrderStatus">
											<wcf:param name="storeId"   value="${WCParam.storeId}"  />
											<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
											<wcf:param name="langId" value="${WCParam.langId}" />
											<wcf:param name="startNumber" value= '${startNumberNext}' />
										</wcf:url>
										
										<flow:ifEnabled feature="AjaxMyAccountPage">
										<a 
											id="WC_OrderStatusTableDisplay_links_4"
											<c:choose>
												<c:when test='${!ShowVerb.recordSetCompleteIndicator}'>
													href="javascript:setCurrentId('WC_OrderStatusTableDisplay_links_4'); MyAccountDisplay.loadContentFromURL('trackOrderStatus1' + '<c:out value='${startNumberNext}'/>', '<c:out value='${trackOrderStatusNextURL}'/>');"
													class="pn_button"

												</c:when>
												<c:otherwise>
													class="pn_button_disabled"
												</c:otherwise>
											</c:choose>
										
										>
											<fmt:message key="MO_Page_Next" bundle="${storeText}" />
										</a>
										</flow:ifEnabled>

										
										<flow:ifDisabled feature="AjaxMyAccountPage">
										<a 
											id="WC_OrderStatusTableDisplay_links_5"
											<c:choose>
												<c:when test='${!ShowVerb.recordSetCompleteIndicator}'>
													href="<c:out value='${nonAjaxTrackOrderStatusNextURL}'/>"
													class="pn_button"

												</c:when>
												<c:otherwise>
													class="pn_button_disabled"
												</c:otherwise>
											</c:choose>
										
										>
											<fmt:message key="MO_Page_Next" bundle="${storeText}" />
										</a>
										</flow:ifDisabled>
									</p>
							</c:if>
							<%--
								***
								* End: Previous Next buttons
								***
								--%>
							
						
						
				</tr>
				</c:if>

				<c:if test="${ShowVerb.recordSetTotal == 0}">
							<tr>
							<fmt:message key="MO_NOORDERSFOUND" bundle="${storeText}"/>
							</tr>
				</c:if>		

				<tr>
					<th class="align_left" id="WC_OrderStatusDisplay_TableCell_21"><fmt:message key="MO_ORDERNUMBER" bundle="${storeText}"/></th>
					<th class="align_left" id="WC_OrderStatusDisplay_TableCell_23"><fmt:message key="MO_ORDERDATE" bundle="${storeText}"/></th>
					<c:if test="${showPONumber}">
						<th class="align_left" id="WC_OrderStatusDisplay_TableCell_25"><fmt:message key="MO_PURCHASEORDER" bundle="${storeText}" /></th>
					</c:if>
					<th class="align_left" id="WC_OrderStatusDisplay_TableCell_27" align="center"><fmt:message key="MO_STATUS" bundle="${storeText}"/></th>
					<th class="align_right" id="WC_OrderStatusDisplay_TableCell_29"><fmt:message key="MO_TOTALPRICE" bundle="${storeText}"/></th>
					<th class="align_right" id="WC_OrderStatusDisplay_TableCell_31a">&nbsp;</th>
				</tr>
						
				
				<c:set var="numberofOrders" value='0'/>
				

				<c:set var="endValue" value="${ShowVerb.recordSetTotal}"/>	
				<c:if test="${ShowVerb.recordSetTotal >0}"><c:set var="endValue" value="${ShowVerb.recordSetTotal-1}"/></c:if>									
				<c:if test="${param.maLandingPage}"><c:set var="endValue" value="2"/></c:if>
				
				
				<c:forEach var="order" items="${orders}" varStatus="status" begin="0" end="${endValue}">
					<%-- Need to reset currencyFormatterDB as initialized in JSTLEnvironmentSetup.jspf, as the currency code used there is from commandContext. For order history we want to display with currency used when the order was placed. --%>
					<c:remove var="currencyFormatterDB"/>
					<wcbase:useBean id="currencyFormatterDB" classname="com.ibm.commerce.common.beans.CurrencyFormatDescriptionDataBean" scope="request" >
						<c:set property="dataBeanKeyNumberUsgId" value="-1" target="${currencyFormatterDB}" />
						<c:set property="dataBeanKeyCurrencyCode" value="${order.orderAmount.grandTotal.currency}" target="${currencyFormatterDB}" />
						<c:set property="dataBeanKeyStoreEntityId" value="-1" target="${currencyFormatterDB}" />
						<c:set property="dataBeanKeyLanguageId" value="${langId}" target="${currencyFormatterDB}" />
					</wcbase:useBean>	
					<c:choose>
						<c:when test="${order.orderAmount.grandTotal.currency == 'JPY' || order.orderAmount.grandTotal.currency == 'KRW'}">
							<c:set var="currencyDecimal" value="0"/>
						</c:when>
						<c:otherwise>
							<c:set var="currencyDecimal" value="2"/>
						</c:otherwise>
					</c:choose>
					<c:if test="${order.orderAmount.grandTotal.currency == 'KRW'}">
						<c:set property="currencySymbol" value="&#8361;" target="${currencyFormatterDB}"/>
					</c:if>
					<tr>
						<flow:ifEnabled feature="AjaxMyAccountPage">
						<wcf:url value="AjaxOrderDetail" var="OrderDetailUrl1" type="Ajax">
							<wcf:param name="orderId" value="${order.orderIdentifier.uniqueID}"/>
							<wcf:param name="orderStatusCode" value="${order.orderStatus.status}"/>
							<wcf:param name="storeId" value="${WCParam.storeId}"/>
							<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
							<wcf:param name="langId" value="${WCParam.langId}"/>
						</wcf:url>
						</flow:ifEnabled>
						<flow:ifDisabled feature="AjaxMyAccountPage">
						<wcf:url value="NonAjaxOrderDetail" var="OrderDetailUrl1">
							<wcf:param name="orderId" value="${order.orderIdentifier.uniqueID}"/>
							<wcf:param name="orderStatusCode" value="${order.orderStatus.status}"/>
							<wcf:param name="storeId" value="${WCParam.storeId}"/>
							<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
							<wcf:param name="langId" value="${WCParam.langId}"/>
						</wcf:url>
						</flow:ifDisabled>
						
						<td id="WC_OrderStatusDisplay_TableCell_32a_<c:out value='${status.count}'/>">
							<p><c:out value="${order.orderIdentifier.uniqueID}"/></p>

							<p>
							<flow:ifDisabled feature="AjaxMyAccountPage">
								<a href="<c:out value='${OrderDetailUrl1}'/>" class="order_content" id="WC_OrderStatusDisplay_Link_2b_<c:out value='${status.count}'/>"><fmt:message key="DETAILS" bundle="${storeText}"/></a>
							</flow:ifDisabled>
							<flow:ifEnabled feature="AjaxMyAccountPage">
								<a href="javaScript:setCurrentId('WC_OrderStatusDisplay_Link_2d_<c:out value='${status.count}'/>'); MyAccountDisplay.loadContentFromURL('orderdetails', '<c:out value='${OrderDetailUrl1}'/>');" id="WC_OrderStatusDisplay_Link_2d_<c:out value='${status.count}'/>" class="order_content" ><fmt:message key="DETAILS" bundle="${storeText}"/></a>
							</flow:ifEnabled>
						</td>
						<td id="WC_OrderStatusDisplay_TableCell_33a_<c:out value='${status.count}'/>">
							<c:catch>
								<fmt:parseDate var="expectedDate" value="${order.placedDate}" pattern="yyyy-MM-dd'T'HH:mm:ss.SSS'Z'" timeZone="GMT"/>
							</c:catch>
							<c:if test="${empty expectedDate}">
								<c:catch>
									<fmt:parseDate var="expectedDate" value="${order.placedDate}" pattern="yyyy-MM-dd'T'HH:mm:ss'Z'" timeZone="GMT"/>
								</c:catch>
							</c:if>
							<p><fmt:formatDate value="${expectedDate}" dateStyle="long"/></p>
						</td>
						<c:if test="${showPONumber}">
							<td id="WC_OrderStatusDisplay_TableCell_34a_<c:out value='${status.count}'/>"><p><c:out value="${order.buyerPONumber}"/></p></td>
						</c:if>
						<td id="WC_OrderStatusDisplay_TableCell_35a_<c:out value='${status.count}'/>" >
							<p><fmt:message key="MO_OrderStatus_${order.orderStatus.status}" bundle="${storeText}"/></p>
						</td>
						<td id="WC_OrderStatusDisplay_TableCell_36a_<c:out value='${status.count}'/>" align="right">
						<p><fmt:formatNumber value="${order.orderAmount.grandTotal.value}" type="currency" maxFractionDigits="${currencyDecimal}" currencySymbol="${currencyFormatterDB.currencySymbol}"/></p>
						</td>
						<flow:ifEnabled feature="AjaxMyAccountPage">
						<wcf:url value="AjaxOrderCopy" var="OrderCopyUrl">
							<wcf:param name="fromOrderId_1" value="${order.orderIdentifier.uniqueID}"/>
							<wcf:param name="toOrderId" value=".**."/>
							<wcf:param name="copyOrderItemId_1" value="*"/>
							<wcf:param name="URL" value=""/>
							<wcf:param name="storeId" value="${WCParam.storeId}"/>
							<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
							<wcf:param name="langId" value="${WCParam.langId}"/>
						</wcf:url>
						<wcf:url value="AjaxOrderCancel" var="OrderCancelUrl">
							<wcf:param name="orderId" value="${order.orderIdentifier.uniqueID}"/>		
							<wcf:param name="URL" value=""/> 
							<wcf:param name="storeId" value="${WCParam.storeId}"/>
							<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
							<wcf:param name="langId" value="${WCParam.langId}"/>
						</wcf:url>
						<wcf:url value="AjaxOrderStatusView" var="AjaxOrderStatusURL"  type="Ajax">
							<wcf:param name="storeId"   value="${WCParam.storeId}"  />
							<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
							<wcf:param name="langId" value="${langId}" />   
						</wcf:url>
						
						
						<td id="WC_OrderStatusDisplay_TableCell_37_<c:out value='${status.count}'/>"> 
							<p>
								<span class="primary_button button_fit" >
									<span class="button_container">
										<span class="button_bg">
											<span class="button_top">
												<span class="button_bottom">   
													<a href="javaScript:setCurrentId('WC_OrderStatusDisplay_Link_4_<c:out value='${status.count}'/>'); MyAccountDisplay.prepareOrderCopy('<c:out value='${OrderCopyUrl}'/>');" width="100%" id="WC_OrderStatusDisplay_Link_4_<c:out value='${status.count}'/>"><fmt:message key="MO_REORDER" bundle="${storeText}"/></a>
												</span>
											</span>	
										</span>
									</span>
								</span>	
							</p>
							<p>
								<span class="primary_button button_fit" >
									<span class="button_container">
										<span class="button_bg">
											<span class="button_top">
												<span class="button_bottom">   
													<a href="javaScript:CommonControllersDeclarationJS.setControllerURL('OrderStatusDisplay_Controller','<c:out value='${AjaxOrderStatusURL}'/>');prepareOrderCancel('<c:out value='${OrderCancelUrl}'/>');" width="100%" id="Ext_Lab2_Link_1">Cancel</a>
												</span>
											</span>	
										</span>
									</span>
								</span>	
							</p>							
						</td>
						</flow:ifEnabled>
						<flow:ifDisabled feature="AjaxMyAccountPage">
						<wcf:url value="OrderCopy" var="OrderCopyUrl">
							<wcf:param name="fromOrderId_1" value="${order.orderIdentifier.uniqueID}"/>
							<wcf:param name="toOrderId" value=".**."/>
							<wcf:param name="copyOrderItemId_1" value="*"/>
							<wcf:param name="URL" value="OrderCalculate?URL=AjaxOrderItemDisplayView?updatePrices=1&calculationUsageId=-1"/>
							<wcf:param name="storeId" value="${WCParam.storeId}"/>
							<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
							<wcf:param name="langId" value="${WCParam.langId}"/>
							<wcf:param name="errorViewName" value="NonAjaxTrackOrderStatus"/>
						</wcf:url>

						<td id="WC_OrderStatusDisplay_TableCell_60_<c:out value='${status.count}'/>"> 
							<p>
								<span class="primary_button button_fit" >
									<span class="button_container">
										<span class="button_bg">
											<span class="button_top">
												<span class="button_bottom">   
													<a href="<c:out value='${OrderCopyUrl}'/>" width="100%" id="WC_OrderStatusDisplay_Link_5_<c:out value='${status.count}'/>"><fmt:message key="MO_REORDER" bundle="${storeText}"/></a>
												</span>
											</span>	
										</span>
									</span>
								</span>	
							</p>
						</td>
						</flow:ifDisabled>
					</tr>
								
				</c:forEach>
				
				
					
			
			<%--
			***
			* End: List of orders already processed
			***
			--%>


			<!---Third Table Start--->
			<c:if test="${showScheduledOrders}">
			<table id="WC_OrderStatusTableDisplay_table_1">
				<%--
				***
				* Start: List of scheduled orders
				***
				--%>
				<!---Scheduled Orders Code Started--->

				<wcf:getData type="com.ibm.commerce.order.facade.datatypes.OrderType[]" var="orders" expressionBuilder="findByOrderStatus" maxItems=1 recordSetStartNumber=2>
				   <wcf:param name="status" value="I" />
				   <wcf:param name="accessProfile" value="IBM_Summary" />
				</wcf:getData>
						<tr>
								<th class="align_left" id="WC_OrderStatusDisplay_TableCell_43"><fmt:message key="MO_ORDERNUMBER" bundle="${storeText}"/></th>
								<c:if test="${showPONumber}">
									<th class="align_left" id="WC_OrderStatusDisplay_TableCell_45"><fmt:message key="MO_PURCHASEORDER" bundle="${storeText}" /></th>
								</c:if>
								<th class="align_left" id="WC_OrderStatusDisplay_TableCell_47"><fmt:message key="MO_TOTALPRICE" bundle="${storeText}"/></th>
								<th class="align_left" id="WC_OrderStatusDisplay_TableCell_49"><fmt:message key="MO_Freq" bundle="${storeText}" /></th>
								<th class="align_left" id="WC_OrderStatusDisplay_TableCell_51"><fmt:message key="MO_ORDERDATE" bundle="${storeText}"/></th>
								<th class="align_right" id="WC_OrderStatusDisplay_TableCell_53"></th>
							</tr>
							
							<c:set var="numberofOrders_scheduled" value='0'/>
							<c:forEach var="order" items="${orders}" varStatus="status">
								<%-- Need to reset currencyFormatterDB as initialized in JSTLEnvironmentSetup.jspf, as the currency code used there is from commandContext. For order history we want to display with currency used when the order was placed. --%>
								<c:remove var="currencyFormatterDB"/>
								<wcbase:useBean id="currencyFormatterDB" classname="com.ibm.commerce.common.beans.CurrencyFormatDescriptionDataBean" scope="request" >
									<c:set property="dataBeanKeyNumberUsgId" value="-1" target="${currencyFormatterDB}" />
									<c:set property="dataBeanKeyCurrencyCode" value="${order.orderAmount.grandTotal.currency}" target="${currencyFormatterDB}" />
									<c:set property="dataBeanKeyStoreEntityId" value="-1" target="${currencyFormatterDB}" />
									<c:set property="dataBeanKeyLanguageId" value="${langId}" target="${currencyFormatterDB}" />
								</wcbase:useBean>	
								<c:choose>
									<c:when test="${order.orderAmount.grandTotal.currency == 'JPY' || order.orderAmount.grandTotal.currency == 'KRW'}">
										<c:set var="currencyDecimal" value="0"/>
									</c:when>
									<c:otherwise>
										<c:set var="currencyDecimal" value="2"/>
									</c:otherwise>
								</c:choose>
								<c:if test="${order.orderAmount.grandTotal.currency == 'KRW'}">
									<c:set property="currencySymbol" value="&#8361;" target="${currencyFormatterDB}"/>
								</c:if>
							<tr>
								
								<flow:ifEnabled feature="AjaxMyAccountPage">
								<wcf:url value="AjaxOrderDetail" var="OrderDetailUrl1" type="Ajax">
									<wcf:param name="orderId" value="${order.orderIdentifier.uniqueID}"/>
									<wcf:param name="orderStatusCode" value="${order.orderStatus.status}"/>
									<wcf:param name="storeId" value="${WCParam.storeId}"/>
									<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
									<wcf:param name="langId" value="${WCParam.langId}"/>
								</wcf:url>
								<wcf:url var="trackOrderStatusURL" value="AjaxLogonForm" type="Ajax">
								  <wcf:param name="langId" value="${langId}" />
								  <wcf:param name="storeId" value="${WCParam.storeId}" />
								  <wcf:param name="catalogId" value="${WCParam.catalogId}" />
								  <wcf:param name="page" value="orderstatus" />
								</wcf:url>
								</flow:ifEnabled>
								<flow:ifDisabled feature="AjaxMyAccountPage">
								<wcf:url value="NonAjaxOrderDetail" var="OrderDetailUrl1">
									<wcf:param name="orderId" value="${order.orderIdentifier.uniqueID}"/>
									<wcf:param name="orderStatusCode" value="${order.orderStatus.status}"/>
									<wcf:param name="storeId" value="${WCParam.storeId}"/>
									<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
									<wcf:param name="langId" value="${WCParam.langId}"/>
								</wcf:url>
								<wcf:url var="trackOrderStatusURL" value="NonAjaxLogonForm">
								  <wcf:param name="langId" value="${langId}" />
								  <wcf:param name="storeId" value="${WCParam.storeId}" />
								  <wcf:param name="catalogId" value="${WCParam.catalogId}" />
								  <wcf:param name="page" value="orderstatus" />
								</wcf:url>
								</flow:ifDisabled>
								<wcf:url value="OrderCancel" var="OrderCancelUrl">
									<wcf:param name="URL" value="${TrackOrderStatusURL}"/>
								</wcf:url>
								<wcf:url value="ScheduledOrderCancel" var="ScheduledOrderCancelUrl">
									<wcf:param name="orderId" value="${order.orderIdentifier.uniqueID}"/>
									<wcf:param name="URL" value="${OrderCancelUrl}" />
								</wcf:url>
								<td id="WC_OrderStatusDisplay_TableCell_32b_<c:out value='${status.count}'/>">
									<p><c:out value="${order.orderIdentifier.uniqueID}"/></p>
									<p>
									<flow:ifDisabled feature="AjaxMyAccountPage">
										<a href="<c:out value='${OrderDetailUrl1}'/>" class="order_content" id="WC_OrderStatusDisplay_Link_2c_<c:out value='${status.count}'/>"><fmt:message key="DETAILS" bundle="${storeText}"/></a>
									</flow:ifDisabled>
									<flow:ifEnabled feature="AjaxMyAccountPage">
										<a href="javaScript:setCurrentId('WC_OrderStatusDisplay_Link_2e_<c:out value='${status.count}'/>'); MyAccountDisplay.loadContentFromURL('orderdetails', '<c:out value='${OrderDetailUrl1}'/>');" id="WC_OrderStatusDisplay_Link_2e_<c:out value='${status.count}'/>" class="order_content" ><fmt:message key="DETAILS" bundle="${storeText}"/></a>
									</flow:ifEnabled>
									</p>
								</td>
								<td id="WC_OrderStatusDisplay_TableCell_33b_<c:out value='${status.count}'/>">
										<c:catch>
											<fmt:parseDate var="expectedDate" value="${order.placedDate}" pattern="yyyy-MM-dd'T'HH:mm:ss.SSS'Z'" timeZone="GMT"/>
										</c:catch>
										<c:if test="${empty expectedDate}">
											<c:catch>
												<fmt:parseDate var="expectedDate" value="${order.placedDate}" pattern="yyyy-MM-dd'T'HH:mm:ss'Z'" timeZone="GMT"/>
											</c:catch>
										</c:if>
										<p><fmt:formatDate value="${expectedDate}" dateStyle="long"/></p>
								</td>
								<c:if test="${showPONumber}">
									<td id="WC_OrderStatusDisplay_TableCell_34b_<c:out value='${status.count}'/>">
									<p><c:out value="${order.buyerPONumber}"/></p></td>
								</c:if>
								<td id="WC_OrderStatusDisplay_TableCell_35b_<c:out value='${status.count}'/>">
									<p><fmt:message key="MO_OrderStatus_${order.orderStatus.status}" bundle="${storeText}"/></p>
								</td>
								<td id="WC_OrderStatusDisplay_TableCell_36b_<c:out value='${status.count}'/>">
									<p><fmt:formatNumber value="${order.orderAmount.grandTotal.value}" type="currency" maxFractionDigits="${currencyDecimal}" currencySymbol="${currencyFormatterDB.currencySymbol}"/></p>
								</td>
								<td id="WC_OrderStatusDisplay_TableCell_59_<c:out value='${i.count}'/>">
									<p><a href="<c:out value='${ScheduledOrderCancelUrl}'/>" id="WC_OrderStatusTableDisplay_links_1_${status.count}" class="t_button" onclick="return confirm('<%=com.ibm.commerce.tools.util.UIUtil.toJavaScript(pageContext.getAttribute("schOrderCancelConfirm"))%>');">
										<fmt:message key="MO_CancelButton" bundle="${storeText}" />
									</a></p>
								</td>
							</tr>
							
							<c:set var="numberofOrders_scheduled" value="${status.count}"/>
							</c:forEach>
							
						</table>
					<c:if test="${numberofOrders == 0}">
						<tr><fmt:message key="MO_NOORDERSFOUND" bundle="${storeText}" />
						</tr>
					</c:if>
			</c:if>

<%--
***
* End: List of scheduled orders
***
--%>
<!---Scheduled Orders Code Ended--->
